/* exported main */

const {DBusService} = imports.dbusService;

function main() {
    const {SensorDaemon} = imports.sensorDaemon;
    const {ProximityMonitoring} = imports.proximityMonitoring;
    const {CallsMonitoring} = imports.callsMonitoring;

    const sensorDaemon = new SensorDaemon();
    const proximityMonitoring = new ProximityMonitoring(sensorDaemon);
    const callsMonitoring = new CallsMonitoring(proximityMonitoring);

    const service = new DBusService('org.gnome.Shell.SensorDaemon', sensorDaemon);
    service.run();
}
